<?xml version="1.0" encoding="UTF-8"?>
	<!--  Namespace type configuration  -->
<beans default-lazy-init="false"
	xmlns="http://www.springframework.org/schema/beans" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans-3.0.xsd">

	<!--
		@type:
		org.springframework.transaction.interceptor.TransactionProxyFactoryBean
		@description: An abstract base class that serves as a base component
		for all services that require transactional support. Reference
		common.abstractTransactionalBean in commons.xml
	-->
	<bean id="common.abstractService" abstract="true"
		parent="common.abstractTransactionalBean">
		<!--
			TODO: remove this global interceptor once system stabilizes (and then
			apply in focused areas)
		-->
		<property name="preInterceptors" ref="common.sharedPreInterceptors" />
	</bean>

	<bean id="copyService" parent="common.abstractService">
		<property name="target">
			<bean id="target.copyService" class="gov.va.med.fw.conversion.CopyServiceImpl">
				<property name="commonExcludePropertyList" ref="ccht.commonExcludePropertyList"></property>
				<property name="excludePropertyMap" ref="ccht.excludePropertyMap"></property>
				<property name="includePropertyMap" ref="ccht.includePropertyMap"></property>
			</bean>
		</property>
	</bean>

	<bean id="abstractBusinessService" abstract="true">
		<property name="javaMailSender" ref="javaMailSender" />
		<property name="velocityTemplateEngine" ref="velocityTemplateEngine" />
		<property name="webAppUrl" value="${ccht.web.url}"></property>
		<property name="emailEnabled" value="${emailEnabled}"></property>
		<property name="mergeService" ref="mergeService"></property>
	</bean>
	
</beans>
